hpp-fcl: hpp::fcl::CollisionFunctionMatrix Struct Reference

hpp-fcl 1.7.3 HPP fork of FCL -- The Flexible Collision Library

Public Types | Public Member Functions | Public Attributes | List of all members
hpp::fcl::CollisionFunctionMatrix Struct Reference

collision matrix stores the functions for collision between different types of objects and provides a uniform call interface More...

`#include <hpp/fcl/collision_func_matrix.h>`

## Public Types
typedef std::size_t(* | CollisionFunc) (const CollisionGeometry *o1, const Transform3f &tf1, const CollisionGeometry *o2, const Transform3f &tf2, const GJKSolver *nsolver, const CollisionRequest &request, CollisionResult &result)
| the uniform call interface for collision: for collision, we need know More...

## Public Member Functions
| CollisionFunctionMatrix ()

## Public Attributes
CollisionFunc | collision_matrix [NODE_COUNT][NODE_COUNT]
| each item in the collision matrix is a function to handle collision between objects of type1 and type2 More...

## Detailed Description

collision matrix stores the functions for collision between different types of objects and provides a uniform call interface

## Member Typedef Documentation

## ◆ CollisionFunc

typedef std::size_t(* hpp::fcl::CollisionFunctionMatrix::CollisionFunc) (const CollisionGeometry *o1, const Transform3f &tf1, const CollisionGeometry *o2, const Transform3f &tf2, const GJKSolver *nsolver, const CollisionRequest &request, CollisionResult &result)

the uniform call interface for collision: for collision, we need know

1. two objects o1 and o2 and their configuration in world coordinate tf1 and tf2;
2. the solver for narrow phase collision, this is for the collision between geometric shapes;
3. the request setting for collision (e.g., whether need to return normal information, whether need to compute cost);
4. the structure to return collision result

## Constructor & Destructor Documentation

## ◆ CollisionFunctionMatrix()

hpp::fcl::CollisionFunctionMatrix::CollisionFunctionMatrix | ( |  | ) |

## Member Data Documentation

## ◆ collision_matrix

CollisionFunc hpp::fcl::CollisionFunctionMatrix::collision_matrix[NODE_COUNT][NODE_COUNT]

each item in the collision matrix is a function to handle collision between objects of type1 and type2

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_func_matrix.h